#!/bin/sh
set -e
rev=$(git rev-parse HEAD)

if [ -n "$1" ]; then
	tag="$1"
else
	ifs=$IFS; IFS=-
	set -- $(git describe --tags)
	IFS=$ifs
	tag=$(($1 + $2))
fi

echo "Making tag: $tag at revision $rev"
echo ""
echo "Press ENTER to continue..."
read a

git tag -a "$tag" $rev

cat <<EOF

To push tag, execute:

  git push origin "refs/tags/$tag"
EOF
